%define module_name Devel-LineTrace
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.10
Release: alt1
Summary: Apply traces to individual lines.
Group: Development/Perl
License: mit
URL: http://metacpan.org/release/Devel-LineTrace

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a class that enables assigning Perl code callbacks to certain
lines in the original code without modifying it. 

To do so prepare a file with the following syntax:

    [source_filename]:[line]
        [CODE]
        [CODE]
        [CODE]
    [source_filename]:[line]
        [CODE]
        [CODE]
        [CODE]

Which will assign the [CODE] blocks to the filename and line combinations.
The [CODE] sections are indented from the main blocks. To temporarily cancel
a callback put a pound-sign (#) right at the start of the line (without 
whitespace beforehand).

The location of the file should be specified by the PERL5DB_LT environment 
variable (or else it defaults to `perl-line-traces.txt'.)

Then invoke the perl interpreter like this:
   
    perl -d:LineTrace myprogram.pl


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes~ README Changes examples
%perl_vendor_privlib/D*

%changelog
* Mon May 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.10-alt1
- regenerated from template by package builder

* Tue Jan 28 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.9-alt1
- regenerated from template by package builder

* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.8-alt1
- initial import by package builder

